## krita 4.1.7.1+dfsg+rb2

=== libs/CMakeLists.txt ===
add_subdirectory( version )
add_subdirectory( global )
add_subdirectory( koplugin )
add_subdirectory( widgetutils )
add_subdirectory( widgets )
add_subdirectory( store )
add_subdirectory( odf )
add_subdirectory( flake )
add_subdirectory( basicflakes )
add_subdirectory( pigment )
add_subdirectory( command )
add_subdirectory( brush )
add_subdirectory( psd )
add_subdirectory( color )
add_subdirectory( image )
add_subdirectory( ui )
add_subdirectory( vectorimage )
add_subdirectory( impex )
add_subdirectory( libkis )
if (NOT APPLE AND HAVE_QT_QUICK)
    add_subdirectory( libqml )
endif()
