=== debian/changelog ===
krita (1:4.1.7.1+dfsg+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Feb 2021 15:41:29 +0800
